## scilab-scimax 2.1.3

=== src/maxhelp/Makefile ===
all: texi_yy.tab.h texi_lex.o texi_yy.tab.o execContext.o texiInterface.o texi2scidoc.o genListPnames.o
	gcc -o texi2scidoc texi2scidoc.o execContext.o texiInterface.o texi_yy.tab.o texi_lex.o genListPnames.o -ll

texi_lex.o: texi_lex.c
	gcc -c texi_lex.c

texi_yy.tab.o: texi_yy.tab.c
	gcc -c texi_yy.tab.c

texi_lex.c: texi_lex.lex
	flex texi_lex.lex ; mv -f lex.yy.c texi_lex.c

texi_yy.tab.c texi_yy.tab.h : texi_yy.y
	bison -d texi_yy.y

execContext.o: execContext.c
	gcc -c execContext.c

texiInterface.o: texiInterface.c
	gcc -c texiInterface.c

tex2scidoc.o : texi2scidoc.c
	gcc -c texi2scidoc.c

genListPnames.o : genListPnames.c
	gcc -c genListPnames.c

clean : 
	rm -f *.o texi_lex.c texi_yy.tab.* *~ texi2scidoc listPnames.txt

=== debian/changelog ===
scilab-scimax (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 Feb 2011 09:43:43 +0100

scilab-scimax (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Handle the trigger from maxima. scimax needs to rebuild its lisp binary
    when maxima is updated
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version updated to version 3.9.1
  * watch file added
  * Homepage field updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Feb 2011 16:48:14 +0100

scilab-scimax (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Nov 2009 14:24:22 +0100

scilab-scimax (2.1-2) unstable; urgency=low

  * build/scilab-scimax-doc => install/scilab-scimax-doc. Should fix the
    too long build issue (Closes: #548470)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Oct 2009 00:58:26 +0200

scilab-scimax (2.1-1) unstable; urgency=low

  * New upstream release
  * actualDemoPath.diff compilerErrorOnDollar.diff removed (applied upstream)
  * Args of ./genMaxDoc.sh changed
  * cleanup of debian/rules

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Oct 2009 19:18:56 +0200

scilab-scimax (2.0.1-4) unstable; urgency=low

  * Simplification of debian/rules
  * On the load of the toolbox, provide the actual path to the demo
  * Lintian warnings removed (*-has-useless-call-to-ldconfig)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 28 Sep 2009 16:36:43 +0200

scilab-scimax (2.0.1-3) unstable; urgency=low

  * Build of the documentation is now done when only building arch dep packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Sep 2009 13:44:22 +0200

scilab-scimax (2.0.1-2) unstable; urgency=low

  * Copyright file updated with two missing statements
  * Missing build/runtime dep on maxima-share
  * $ADD (and others) as #define are causing some issue to gcc under
    Armel. Replaced by __ADD

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Sep 2009 10:32:27 +0200

scilab-scimax (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #547581)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Sep 2009 01:07:51 +0200

=== debian/control ===
Source: scilab-scimax
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, scilab (>= 5.1.1),
 scilab-doc (>= 5.1.1), maxima, scilab-overload (>= 1.3.3), bison, flex, maxima-share
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab-toolboxes/scimax/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab-toolboxes/scimax/trunk
Homepage: http://forge.scilab.org/index.php/p/scimax/

Package: scilab-scimax-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.1.1),
 scilab-scimax
Description: Symbolic computations for Scilab based on Maxima - Documentation
 This toolbox is providing symbolic capabilities with the Scilab languages.
 .
 It is based on Maxima which is a fully symbolic computation program.
 It is full featured doing symbolic manipulation of polynomials, matrices,
 rational functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 .
 This package contains scimax's documentation.

Package: scilab-scimax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.1.1),
 scilab-overload, maxima, maxima-share
Recommends: scilab-scimax-doc
Description: Symbolic computations for Scilab based on Maxima
 This toolbox is providing symbolic capabilities with the Scilab languages.
 .
 It is based on Maxima which is a fully symbolic computation program.  
 It is full featured doing symbolic manipulation of polynomials, matrices, 
 rational functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_MAKESHLIBS_ARGS_scilab-scimax = -n

build/scilab-scimax::
		SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 /usr/bin/scilab -nw -f builder.sce	

clean::
		rm -fr help/*/scilab_*_help/ help/*/.list_* 
		rm -f macros/*.bin

install/scilab-scimax::

		mkdir -p $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/lib/
		mkdir -p $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/src/lisp/
		cp -p src/c/libmaxima.so $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/lib/
		cp -Rp etc/ $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/
		cp -Rp loader.sce $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/
		cp -Rp demos/ $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/
		cp -Rp macros/ $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/
		cp -Rp maxima-init/ $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/
		cp -Rp src/lisp/ src/lisp/builder_lisp.sce $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/src/
		rm -rf $(CURDIR)/debian/scilab-scimax/usr/lib/scilab-scimax/macros/buildmacros.sce
		mkdir -p $(CURDIR)/debian/scilab-scimax/usr/share/scilab/contrib/
		cd $(CURDIR)/debian/scilab-scimax/usr/share/scilab/contrib/; \
		rm -f scilab-scimax; \
		ln -s ../../../lib/scilab-scimax/ scimax

install/scilab-scimax-doc::
	cd src/maxhelp && make && ./genMaxDoc.sh fr_FR && ./genMaxDoc.sh en_US
	# Rebuild the macros since they depend on the documentation
	SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 /usr/bin/scilab -nw -f builder.sce      
	mkdir -p $(CURDIR)/debian/scilab-scimax-doc/usr/lib/scilab-scimax/
	cp -R jar/ $(CURDIR)/debian/scilab-scimax-doc/usr/lib/scilab-scimax/

get-orig-source:
	-uscan --upstream-version 0

## scilab-scimax 2.1.4

=== debian/changelog ===
scilab-scimax (2.1.4-3) unstable; urgency=low

  * Fix FTBFS (Closes: #713256)
  * Standards-Version updated to version 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Aug 2013 16:39:33 +0200

scilab-scimax (2.1.4-2) unstable; urgency=low

  * Use the embedded documentation instead of rebuilding (Closes: #662934)
  * Standards-Version updated to version 3.9.3
  * doc-package-depends-on-main-package fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Jun 2012 18:25:37 +0200

scilab-scimax (2.1.4-1) unstable; urgency=low

  * New upstream release (LP: #755985)
  * Standards-Version updated to version 3.9.2
  * Fix a potential bug in the build of the help (headless.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 May 2011 15:31:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, scilab (>= 5.1.1),
  scilab-doc (>= 5.1.1), maxima, scilab-overload (>= 1.3.3), bison, flex, maxima-share
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab-toolboxes/scimax/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab-toolboxes/scimax/trunk
 Homepage: http://forge.scilab.org/index.php/p/scimax/
@@ -13,8 +13,7 @@
 Package: scilab-scimax-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.1.1),
- scilab-scimax
+Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.1.1)
 Description: Symbolic computations for Scilab based on Maxima - Documentation
  This toolbox is providing symbolic capabilities with the Scilab languages.
  .

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_DH_MAKESHLIBS_ARGS_scilab-scimax = -n
 
-build/scilab-scimax::
+build-arch:
 		SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 /usr/bin/scilab -nw -f builder.sce	
 
 clean::
@@ -30,9 +30,10 @@
 		ln -s ../../../lib/scilab-scimax/ scimax
 
 install/scilab-scimax-doc::
-	cd src/maxhelp && make && ./genMaxDoc.sh fr_FR && ./genMaxDoc.sh en_US
+# Commented because of http://forge.scilab.org/index.php/p/scimax/issues/682/
+#	cd src/maxhelp && make && ./genMaxDoc.sh fr_FR && ./genMaxDoc.sh en_US
 	# Rebuild the macros since they depend on the documentation
-	SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 /usr/bin/scilab -nw -f builder.sce      
+#	SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 /usr/bin/scilab -nw -f builder.sce      
 	mkdir -p $(CURDIR)/debian/scilab-scimax-doc/usr/lib/scilab-scimax/
 	cp -R jar/ $(CURDIR)/debian/scilab-scimax-doc/usr/lib/scilab-scimax/

=== debian/watch ===
version=3
http://forge.scilab.org/index.php/p/scimax/downloads/direct/ .*scimax-(\d+[0-9\-\.r]+)\.tar\.gz \
  debian false
